package com.prolog.cs.biz.inbound.model.rqc;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.prolog.framework.bz.core.model.BaseModel;
import com.prolog.framework.core.annotation.AutoKey;
import com.prolog.framework.core.annotation.Id;
import com.prolog.framework.core.annotation.Table;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.Date;

/**
 * @Description  
 * @Date 2021-04-02 
 */

@ApiModel
@Table ( value ="wms_in_rqc_rechek_headers",appendDefaultJdbcType = true,camelToUnderline = true )
public class RqcRechekHeaders extends BaseModel implements Serializable {
	private static final long serialVersionUID =  2826973630347448634L;
	@Id
	@AutoKey(type=AutoKey.TYPE_SNOWFLAKE)
	 /** 业主编号(主键雪花id) **/ 
	@ApiModelProperty(value = "业主编号(主键雪花id)") 
	private String consignor;

	 /** 采购单号 **/ 
	@ApiModelProperty(value = "采购单号") 
	private String originalbillno;

	 /** 收货单号 **/ 
	@ApiModelProperty(value = "收货单号") 
	private String refbillno;

	 /** 质检单号 **/ 
	@ApiModelProperty(value = "质检单号") 
	private String billno;

	 /** 单据日期 **/ 
	@ApiModelProperty(value = "单据日期") 
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date billDate;

	 /** 供应商编码 **/ 
	@ApiModelProperty(value = "供应商编码") 
	private String companycode;

	 /** 质检状态(10初始11已打印13已确认) **/ 
	@ApiModelProperty(value = "质检状态(10初始11已打印13已确认)") 
	private String qcstatus;

	 /** 复检状态 **/ 
	@ApiModelProperty(value = "复检状态") 
	private String reqcstatus;


	public String getConsignor() {
		return this.consignor;
	}

	public void setConsignor(String consignor) {
		this.consignor = consignor;
	}

	public String getOriginalbillno() {
		return this.originalbillno;
	}

	public void setOriginalbillno(String originalbillno) {
		this.originalbillno = originalbillno;
	}

	public String getRefbillno() {
		return this.refbillno;
	}

	public void setRefbillno(String refbillno) {
		this.refbillno = refbillno;
	}

	public String getBillno() {
		return this.billno;
	}

	public void setBillno(String billno) {
		this.billno = billno;
	}

	public Date getBillDate() {
		return this.billDate;
	}

	public void setBillDate(Date billDate) {
		this.billDate = billDate;
	}

	public String getCompanycode() {
		return this.companycode;
	}

	public void setCompanycode(String companycode) {
		this.companycode = companycode;
	}

	public String getQcstatus() {
		return this.qcstatus;
	}

	public void setQcstatus(String qcstatus) {
		this.qcstatus = qcstatus;
	}

	public String getReqcstatus() {
		return this.reqcstatus;
	}

	public void setReqcstatus(String reqcstatus) {
		this.reqcstatus = reqcstatus;
	}

}
